Loading...
Searching...
No Matches
BALL::RSVertex Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/RSVertex.h>`

Inheritance diagram for BALL::RSVertex:

## Public Member Functions

Constructors and Destructors
| RSVertex ()
| RSVertex (const RSVertex &rsvertex, bool deep=false)
| RSVertex (Index atom)
virtual | ~RSVertex ()
Assignment
void | set (const RSVertex &rsvertex, bool deep=false)
RSVertex & | operator= (const RSVertex &rsvertex)
Accessors
void | setAtom (Index atom)
Index | getAtom () const
Public Member Functions inherited from BALL::GraphVertex< RSVertex, RSEdge, RSFace >
| GraphVertex ()
virtual | ~GraphVertex ()
void | set (const GraphVertex< RSVertex, RSEdge, RSFace > &vertex, bool deep=false)
GraphVertex< RSVertex, RSEdge, RSFace > & | operator= (const GraphVertex< RSVertex, RSEdge, RSFace > &vertex)
void | insert (RSEdge *edge)
void | remove (RSEdge *edge)
Position | numberOfEdges () const
Position | numberOfFaces () const
void | setIndex (Index index)
Index | getIndex () const
bool | join (const RSVertex &vertex)
bool | substitute (RSVertex *vertex)
RSFace * | has (RSFace *face) const
bool | hasEdges () const
bool | hasFaces () const
EdgeIterator | beginEdge ()
EdgeIterator | endEdge ()
FaceIterator | beginFace ()
FaceIterator | endFace ()

## Friends

Class friends

- class RSEdge
- class RSFace
- class ReducedSurface
- class RSComputer
- class SESEdge
- class SESFace
- class SESVertex
- class SolventExcludedSurface
- class SESComputer
- class SESSingularityCleaner
- class TriangulatedSES
- class SESTriangulator
- class SASEdge
- class SASFace
- class SASVertex
- class SolventAccessibleSurface
- class TriangulatedSAS
- class SASTriangulator

class | RSEdge
class | RSFace
class | ReducedSurface
class | RSComputer
class | SESEdge
class | SESFace
class | SESVertex
class | SolventExcludedSurface
class | SESComputer
class | SESSingularityCleaner
class | TriangulatedSES
class | SESTriangulator
class | SASEdge
class | SASFace
class | SASVertex
class | SolventAccessibleSurface
class | TriangulatedSAS
class | SASTriangulator
Friends inherited from BALL::GraphVertex< RSVertex, RSEdge, RSFace >

## Predicates

Index | atom_
virtual bool | operator== (const RSVertex &rsvertex) const
virtual bool | operator!= (const RSVertex &rsvertex) const
virtual bool | operator*= (const RSVertex &rsvertex) const

## Additional Inherited Members

Public Types inherited from BALL::GraphVertex< RSVertex, RSEdge, RSFace >
typedef HashSet< RSEdge * >::Iterator | EdgeIterator
typedef HashSet< RSEdge * >::ConstIterator | ConstEdgeIterator
typedef HashSet< RSFace * >::Iterator | FaceIterator
typedef HashSet< RSFace * >::ConstIterator | ConstFaceIterator
HashSet< RSEdge * > | edges_
HashSet< RSFace * > | faces_
Index | index_

## Detailed Description

Generic RSVertex Class.

Definition at line 37 of file RSVertex.h.

## Constructor & Destructor Documentation

## RSVertex() [1/3]

BALL::RSVertex::RSVertex | ( |  | ) |

Default constructor. This method creates a new RSVertex object.

## RSVertex() [2/3]

BALL::RSVertex::RSVertex | ( | const RSVertex & | rsvertex,
|  | bool | deep = false )

Copy constructor. Create a new RSVertex object from another.

Parameters

  rsvertex | the RSVertex object to be copied
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the new RSVertex object is linked to the neighbours of the old RSVertex object.

## RSVertex() [3/3]

BALL::RSVertex::RSVertex | ( | Index | atom | ) |

Detailled constructor. Create a new RSVertex object from an index.

Parameters

  atom | assigned to the index of the atom

## ~RSVertex()

virtual BALL::RSVertex::~RSVertex | ( |  | ) |

virtual

Destructor. Destructs the RSVertex object.

## Member Function Documentation

## getAtom()

Index BALL::RSVertex::getAtom | ( |  | ) | const

Return the index of the atom represented by the vertex.

Returns
  Index the index of the atom represented by the vertex

## operator!=()

virtual bool BALL::RSVertex::operator!= | ( | const RSVertex & | rsvertex | ) | const

virtual

Inequality operator.

Returns
  bool false if the vertices are equal in all components, true otherwise

Reimplemented from BALL::GraphVertex< RSVertex, RSEdge, RSFace >.

## operator*=()

virtual bool BALL::RSVertex::operator*= | ( | const RSVertex & | rsvertex | ) | const

virtual

Similarity operator.

Returns
  bool true if the atoms are equal, false otherwise

Reimplemented from BALL::GraphVertex< RSVertex, RSEdge, RSFace >.

## operator=()

RSVertex & BALL::RSVertex::operator= | ( | const RSVertex & | rsvertex | ) |

Assign from another RSVertex. The RSVertex object is linked to the neighbours of the RSVertex object to assign from.

Parameters

  rsvertex | the RSVertex object to assign from

## operator==()

virtual bool BALL::RSVertex::operator== | ( | const RSVertex & | rsvertex | ) | const

virtual

Equality operator.

Returns
  bool true if the vertices are equal in all components, false otherwise

Reimplemented from BALL::GraphVertex< RSVertex, RSEdge, RSFace >.

## set()

void BALL::RSVertex::set | ( | const RSVertex & | rsvertex,
|  | bool | deep = false )

Assign from another RSVertex.

Parameters

  rsvertex | the RSVertex object to assign from
  deep | if deep = false, all pointers are set to NULL (default). Otherwise the RSVertex object is linked to the neighbours of the RSVertex object to assign from.

## setAtom()

void BALL::RSVertex::setAtom | ( | Index | atom | ) |

Set the index of the atom represented by the vertex.

Parameters

  atom | the new index

## Friends And Related Symbol Documentation

## ReducedSurface

friend class ReducedSurface

friend

Definition at line 65 of file RSVertex.h.

## RSComputer

friend class RSComputer

friend

Definition at line 66 of file RSVertex.h.

## RSEdge

friend class RSEdge

friend

Definition at line 63 of file RSVertex.h.

## RSFace

friend class RSFace

friend

Definition at line 64 of file RSVertex.h.

## SASEdge

friend class SASEdge

friend

Definition at line 75 of file RSVertex.h.

## SASFace

friend class SASFace

friend

Definition at line 76 of file RSVertex.h.

## SASTriangulator

friend class SASTriangulator

friend

Definition at line 80 of file RSVertex.h.

## SASVertex

friend class SASVertex

friend

Definition at line 77 of file RSVertex.h.

## SESComputer

friend class SESComputer

friend

Definition at line 71 of file RSVertex.h.

## SESEdge

friend class SESEdge

friend

Definition at line 67 of file RSVertex.h.

## SESFace

friend class SESFace

friend

Definition at line 68 of file RSVertex.h.

## SESSingularityCleaner

friend class SESSingularityCleaner

friend

Definition at line 72 of file RSVertex.h.

## SESTriangulator

friend class SESTriangulator

friend

Definition at line 74 of file RSVertex.h.

## SESVertex

friend class SESVertex

friend

Definition at line 69 of file RSVertex.h.

## SolventAccessibleSurface

friend class SolventAccessibleSurface

friend

Definition at line 78 of file RSVertex.h.

## SolventExcludedSurface

friend class SolventExcludedSurface

friend

Definition at line 70 of file RSVertex.h.

## TriangulatedSAS

friend class TriangulatedSAS

friend

Definition at line 79 of file RSVertex.h.

## TriangulatedSES

friend class TriangulatedSES

friend

Definition at line 73 of file RSVertex.h.

## Member Data Documentation

## atom_

Index BALL::RSVertex::atom_

protected

Definition at line 181 of file RSVertex.h.